Bug 1695552 - Review Request: ghc-resolv - Domain Name Service (DNS) lookup via the libresolv standard library routines
Summary: Review Request: ghc-resolv - Domain Name Service (DNS) lookup via the libreso...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 10:37 UTC by Jens Petersen
Modified: 2019-05-19 06:13 UTC (History)
2 users (show)

Fixed In Version: ghc-resolv-0.1.1.2-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 13:33:01 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2019-04-03 10:37:19 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-resolv.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-resolv-0.1.1.2-1.fc29.src.rpm

Description:
This package implements an API for accessing the [Domain Name Service
(DNS)](https://tools.ietf.org/html/rfc1035) resolver service via the standard
'libresolv' system library (whose API is often available directly via the
standard 'libc' C library) on Unix systems.

Comment 1 Jens Petersen 2019-04-03 10:37:23 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=33911566

Comment 2 Jens Petersen 2019-04-03 12:57:14 UTC
Needed by cabal-install-2.2+

Comment 3 Robert-André Mauchin 2019-04-05 00:17:41 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License". 188 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ghc-resolv/review-ghc-
     resolv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 890880 bytes in 20 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     resolv
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-resolv-0.1.1.2-1.fc31.x86_64.rpm
          ghc-resolv-devel-0.1.1.2-1.fc31.x86_64.rpm
          ghc-resolv-0.1.1.2-1.fc31.src.rpm
ghc-resolv.x86_64: W: spelling-error Summary(en_US) libresolv -> resolve
ghc-resolv.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-resolv.x86_64: W: spelling-error %description -l en_US ietf -> diet
ghc-resolv.x86_64: W: spelling-error %description -l en_US html -> HTML
ghc-resolv.x86_64: W: spelling-error %description -l en_US libresolv -> resolve
ghc-resolv.x86_64: W: unstripped-binary-or-object /usr/lib64/libHSresolv-0.1.1.2-LSxs05Sp0ic9SaoLcOHPsS-ghc8.4.4.so
ghc-resolv.x86_64: W: no-documentation
ghc-resolv.src: W: spelling-error Summary(en_US) libresolv -> resolve
ghc-resolv.src: W: spelling-error %description -l en_US https -> HTTP
ghc-resolv.src: W: spelling-error %description -l en_US ietf -> diet
ghc-resolv.src: W: spelling-error %description -l en_US html -> HTML
ghc-resolv.src: W: spelling-error %description -l en_US libresolv -> resolve
3 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 4 Jens Petersen 2019-04-05 04:48:08 UTC
Thank you for reviewing!

https://pagure.io/releng/fedora-scm-requests/issue/10875

Comment 5 Gwyn Ciesla 2019-04-05 13:38:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-resolv

Comment 6 Jens Petersen 2019-04-09 13:33:01 UTC
https://pagure.io/releng/fedora-scm-requests/issue/10956 (f30)

Comment 7 Fedora Update System 2019-05-09 16:55:40 UTC
cabal-install-2.2.0.0-2.fc30 ghc-resolv-0.1.1.2-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-13e4bd11af

Comment 8 Fedora Update System 2019-05-10 02:06:18 UTC
cabal-install-2.2.0.0-2.fc30, ghc-resolv-0.1.1.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-13e4bd11af

Comment 9 Fedora Update System 2019-05-19 06:13:37 UTC
cabal-install-2.2.0.0-2.fc30, ghc-resolv-0.1.1.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.